
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>.NET轻量级DBHelpers数据访问组件 / iVAN</title>

    <meta name="description" content=".NET轻量级DBHelpers数据访问组件 一.摘要 一说到ADO.NET大家可能立刻想到的就是增.删.改.查(CRUD)操作,然后再接就想到项目中的SQLHelper.没错本课分享课阿笨给大家带来的是来源于github上开源的DAO数据库访问组件DBHelpers.如果您对本次分享&lt;.NET轻量级DBHelpers数据访问组件&gt;课程感兴趣的话,那么请跟着阿笨一起学习吧. 废话不多说,直接上干货,我们不生产干货,我们只是干货的搬运工. 二.涉及覆盖的知识点 2.1.原生ADO.NET简单的CRUD(增删改查) Insert.I ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">.NET轻量级DBHelpers数据访问组件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1><strong>一、摘要</strong></h1>
<blockquote><p>一说到ADO.NET大家可能立刻想到的就是增、删、改、查（CRUD）操作，然后再接就想到项目中的SQLHelper。没错本课分享课阿笨给大家带来的是来源于github上开源的DAO数据库访问组件DBHelpers。如果您对本次分享《.NET轻量级DBHelpers数据访问组件》课程感兴趣的话，那么请跟着阿笨一起学习吧。</p>
<p>废话不多说，直接上干货，我们不生产干货，我们只是干货的搬运工。</p></blockquote>
<h1><strong>二、涉及覆盖的知识点<br /></strong></h1>
<p>2.1、原生ADO.NET简单的CRUD(增删改查)</p>
<blockquote><p>Insert、Insert_Batch、Update、Update_Batch、Delete、Exist、GetById、GetByIds、GetList</p>
<p>GetByIdAutomaticTypeConversion、GetListByPage（内置分页）、GetListReturnDataTable</p>
<p>GetListReturnDataSet、GetListReturnDictionary、</p>
<p>ExecuteWithDBTransaction（本地DbTransaction事务操作）、</p>
<p>ExecuteWithTransactionScope(分布式TransactionScope事务操作)</p></blockquote>
<p>2.2、ADO.NET在异步编程(Asyn Task)中的运用</p>
<blockquote><p>InsertAsync、GetByIdAsync、GetListAsync</p>
<p>ExecuteNonQueryAsync、ExecuteObjectAsync、ExecuteListAsync</p></blockquote>
<p>2.3、原生ADO.NET高级技巧修炼手册</p>
<blockquote><p>CreateOrder(创建订单（采用sql拼接+for循环方式）)。</p>
<p>CreateOrderByStoredProcedures_XMLPath创建订单(采用生成XML+SQL XML数据类型的XMLPath方式)。</p>
<p>Transact-<em>SQL</em>存储过程in输入、out输出、Return参数的运用。</p></blockquote>
<h1><strong>三、什么是ADO.NET？<br /></strong></h1>
<blockquote><p>1）、ADO.NET是微软新一代.NET数据库的访问架构，ADO是ActiveX Data Objects的缩写。ADO.NET是数据库应用程序和数据源之间沟通的桥梁，主要提供一个面向对象的数据访问架构，用来开发数据库应用程序。</p>
<p>2）、ADO.NET 是 .NET 框架（.NET Framework）中的一个类库，用于实现 .NET 应用程序对于数据库的访问，主要包括 DbConnection，DbCommand，DataSet，DataAdapter 与 DataReader 等。</p>
<p>3）、ADO.NET五大对象分别是：</p>
<p>1、Connection（连接数据库）</p>
<p>2、Command（执行T-SQL语句）</p>
<p>3、DataAdapter（用户填充DataSet，断开模式）</p>
<p>4、DataReader（读取数据库，一种只读模式，只向前的）</p>
<p>5、DataSet（数据集，好比电脑的内存）</p></blockquote>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvdXBsb2FkLWltYWdlcy5qaWFuc2h1LmlvL3VwbG9hZF9pbWFnZXMvMTY3Njk4NC04NzE4YWNiMTVhYzUxYzMyLmpwZz9pbWFnZU1vZ3IyL2F1dG8tb3JpZW50L3N0cmlwJTdDaW1hZ2VWaWV3Mi8yL3cvMTI0MA==.jpg"></p>
<p>ADO.NET五大对象</p>
<h1><strong>四、DBHelpers介绍</strong></h1>
<p>4.1、DBHelpers是什么？</p>
<blockquote><p>DBHelpers是一个简单但功能强大的库，用于使用简单的ADO.NET数据库访问组件。</p></blockquote>
<p>4.2、DBHelpers包含哪些特征</p>
<blockquote><p>Async(异步)、Batch execution（批量执行脚本）、Custom converters（自定义类型转换）、</p>
<p>Multi table retrieval（多结果集查询）、Easy safe parameterized DbCommand（简单安全的参数化）、</p>
<p>Automatic mapping of objects（自动映射类型）、Built in paging support（内置支持分页）、等等。</p></blockquote>
<p>4.3、DBHelpers内置方法</p>
<blockquote><p>ExecuteNonQuery、ExecuteReader、ExecuteScalar、</p>
<p>ExecuteDataTable、ExecuteDataSet、ExecuteArray、ExecuteDictionary、ExecuteObject、ExecuteList、</p>
<p>ExecuteNonQueryAsync、ExecuteObjectAsync、ExecuteListAsync</p></blockquote>
<p>4.3、github下载地址:</p>
<blockquote><p><a href="https://github.com/nvivo/dbhelpers" rel="external nofollow noreferrer">https://github.com/nvivo/dbhelpers</a></p></blockquote>
<p>4.4、nuget安装:</p>
<blockquote><p>Install-Package DBHelpers</p></blockquote>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 09:22:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8%e8%bf%87%e7%a8%8b/" title="存储过程">存储过程</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f/" title="分布式">分布式</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/%e9%9d%a2%e5%90%91%e5%af%b9%e8%b1%a1/" title="面向对象">面向对象</a>, <a href="https://www.iamivan.net/tag/github/" title="github">github</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>.NET轻量级DBHelpers数据访问组件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2QQrz.html" rel="bookmark">Microsoft数据访问组件 （为软的文章）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				访问|数据 Microsoft数据访问组件 Microsoft 数据访问组件(MDAC)在整个企业中都提供了一种对所有数据都易于使用.可编程的访问方式.在web或局域网上开发的数据驱动客户机/服务器应用程序能使用这些组件很容易结合来自各种各样的资源的信息,不管是相关的还是不相关的.Microsoft数据访问组件包括ActiveX 数据对象 (ADO)和远程数据服务(RDS), Microsoft为ODBC提供的OLEDB供应商.开放的数据库连接(ODBC)和为Microsoft SQL Serv			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQZNOM.html" rel="bookmark">&period;NET 数据访问架构指南&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				访问|架构|数据 概述:本文提供了在多层.NET应用程序中实施基于ADO.NET的数据访问层的指导原则.其重点是一组通用数据访问任务和方案,并指导你选择最合适的途径和技术(68张打印页). 目录 ADO.NET简介 管理数据库链接 错误处理 性能 通过防火墙建立链接 处理 BLOBs 事务处理 数据分页 简介 如果你在为.NET应用程序设计数据访问层,那么就应该把 Microsoft ADO.NET用作数据访问模型.ADO.NET扩展丰富,并且支持结合松散的数据访问需求.多层Web应用程序及We			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4w16Pp.html" rel="bookmark">Microsoft数据访问技术简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在介绍SQL Native Client编程之前,首先来了解一下Microsoft提供的所有数据访问技术,以便读者能够对这些技术有一个全面的了解,从而选择出适合自己的方式来连接到SQL Server 2005.自然,如果希望能够使用SQL Server 2005的所有新增功能并且获得强劲的性能,则还是应当使用ADO.NET 2.0. Microsoft所提供的数据访问技术包括DB-Library.ESQL.DAO.Microsoft数据访问组件(即MDAC,包括ODBC.ADO和OLE DB).			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKJXmM.html" rel="bookmark">微软提供的&period;NET数据访问层组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:Data Access Application Block 是一个 .NET 组件,包含优化的数据访问代码,可以帮助用户调用存储过程以及向 SQL Server 数据库发出 SQL 文本命令.它返回 SqlDataReader.DataSet 和 XmlReader 对象.您可以在自己的 .NET 应用程序中将其作为构造块来使用,以减少需要创建.测试和维护的自定义代码的数量.您可以下载完整的 C# 和 Visual Basic .NET 源代码以及综合文档. 简介 您是否正在从事 .NET			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeP1Op.html" rel="bookmark">了解 XML实现通用的数据访问</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|访问|数据   了解可扩展标记语言 (XML) 如何帮助我们实现通用的数据访问.XML 是一种基于 Unicode 的纯文本元语言,即一种用于定义标记语言的语言.它不依赖于任何编程语言.操作系统或软件供应商.XML 可以提供对各种数据处理.构建.转换和查询技术的访问.(本文包含一些指向英文站点的链接.)  简介     最初设想的可扩展标记语言 (XML) 用于为 Web 定义新文档的格式.XML 由标准通用标记语言 (SGML) 衍生而来,可以认为它是一种元语言,即一种定义标记语言的语			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZkDOb.html" rel="bookmark">ACCESS数据库访问组件（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				access|访问|数据|数据库 ACCESS数据库访问组件(二)ACCESS_Table.cs using System; namespace XLang.VideoOnline.Framework.Database.Access{ /// &lt;summary&gt; /// Summary description for ACCESS_DataTable. /// &lt;/summary&gt; public class DataTable:System.Data.DataTable { pri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zed9Ap.html" rel="bookmark">设计&period;NET应用程序数据访问层五大原则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序|访问|设计|数据 摘要:大多数使用.NET框架组件工作的开发人员的一个核心工作是实现数据访问功能,他们建立的数据访问层(data access layer)是应用程序的精华部分.本文概述了使用Visual Studio .NET和.NET框架组件建立数据访问层需要考虑的五个想法.这些技巧包括通过使用基类(base class)利用面相对象技术和.NET框架组件基础结构,使类容易继承,在决定显示方法和外部界面前仔细地检验需求. 如果你正在建立以数据为中心(data-centric)的.NET			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzD3n0p.html" rel="bookmark">ADO数据访问模型初学者入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|初学|访问|数据 ADO(ActiveXDataObjects)是Microsoft提供和建议使用的新型的数据访问接口,具体实现为Automation.这样,程序员可以在各种支持Automation的开发环境下方便地访问ADO对象,如VisualBasic.VisualC++.VisualJ++及Delphi等.ADO被实现为OLEDB之上的一个薄层,这使得ADO可以有更快的访问速度,更易使用,同时更节省资源.值得注意的是,对于VisualStudio6.0的用户而言,现在提供的ADO2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXZ4Kb.html" rel="bookmark">&period;NET 数据访问体系结构指南一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				访问|数据|体系  ADO.NET 引入的主要变化之一是用 DataTable.DataSet.DataAdapter 和 DataReader 对象的组合取代了 ADO Recordset 对象.DataTable 表示单个表中行的集合,在这一方面类似于 Recordset.DataSet 表示 DataTable 对象的集合,同时包括将各种表绑定在一起的关系和约束.实际上,DataSet 是带有内置 XML 支持的.内存中的关系结构. DataSet 的主要特性之一是它不了解可能用来填充它的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1mmxM.html" rel="bookmark" class="title">目前国内的主流程序主要存在以下问题</a>
					<div>
						程序|问题|主流 目前国内的主流程序主要存在以下问题(转)作者[旅行] 1. 代码效率低下 - (以国内某著名论坛的post.cgi取得下个thread的数码的代码为例)   我无意攻击,我也不知道现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M098Pp.html" rel="bookmark" class="title">邮件发送简单例子-html文件</a>
					<div>
						&lt;html&gt; &lt;head&gt; &lt;title&gt;JavaMail Form&lt;/title&gt; &lt;/head&gt; &lt;body&gt; &lt;fo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeGXxM.html" rel="bookmark" class="title">ASP&period;NET中利用VWD操作数据库</a>
					<div>
						asp.net|数据|数据库 VWD2005中包含了SQL Server 2005 Express Edition,它是SQL Server 2005的一个免费版本,它的目标用户是那些希望用简单的数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kYjrz.html" rel="bookmark" class="title">简单理解HTTP协议</a>
					<div>
						众所周知,Internet的基本协议是TCP/IP协议,目前广泛采用的FTP.Archie Gopher等是建立在TCP/IP协议之上的应用层协议,不同的协议对应着不同的应用. WWW服务器使用的主要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2gZNb.html" rel="bookmark" class="title">登录和注销HP-UX</a>
					<div>
						登录帐户 本部分介绍了如何使用命令行登录.注销和创建用户帐户(如有必要). 向系统管理员或安装系统的技术支持人员询问用户名和口令. 超级用户 root 用户(又称为超级用户)是一个特殊的用户.以超级用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bala2Qz.html" rel="bookmark" class="title">Javascript数组sort方法的分析</a>
					<div>
						javascript 中 Array.sort()方法是用来对数组项进行排序的 ,默认情况下是进行升序排列,实例代码如下: var arrA = [6,2,4,3,5,1];arrA.sort();d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw2k9z.html" rel="bookmark" class="title">mysql中文模糊检索问题</a>
					<div>
						在MySQL下,在进行中文模糊检索时,经常会返回一些与之不相关的记录,如查找 &quot;%a%&quot; 时,返回的可能有中文字符,却没有a字符存在.本人以前也曾遇到过类似问题,经详细阅读MySQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPmPQz.html" rel="bookmark" class="title">struts简单案例-适合初学者&lpar;二&rpar;</a>
					<div>
						说明一下这个系列的总体规划: 一.为了更好的理解struts,首先讲解FrontController模式 1.阅读并尽可能的理解FrontController.doc这份文档 2.提问关于前一阶段有关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLj7ab.html" rel="bookmark" class="title">HTML关于Profile</a>
					<div>
						 制作出一个页面其实是很简单的事,但是制作出一个好的页面却是一件挺困难的事,要使一个页面最终能很好的呈现出来,包括在许多未知的环境下都能很好的呈现,这即是一件更困难的事情.在一份基于Web标准的HTM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL6vGb.html" rel="bookmark" class="title">cmcc和cmcc-edu有什么不同？</a>
					<div>
						  CMCC和CMCC-EDU都是移动的无线局域网.是两个不同的SSID,也就是不同的名字. CMCC作为社会热点信号的名字,一般酒店.车站.会展中心.政府部门.银行肯德基.麦当劳.等一些公共场所都有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP81Z0p.html" rel="bookmark" class="title">win7系统中文件背景颜色的修改方法</a>
					<div>
						  在这个90当道的年代,个性成为了关键词,电脑桌面自定义更是成为必不可少的东西,电脑自带的那些壁纸完全不能满足他们的口味了,图片不仅要采用自 己选择的,而且有时还会设置动态壁纸,几秒钟不断的更换,现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG1O5p.html" rel="bookmark" class="title">中秋小长假去哪儿还看人生日历</a>
					<div>
						人逢喜事乐,月到中秋明,每年农历八月十五,就是中秋节.中秋节又称&quot;团圆节&quot;,早在唐时就正式成为节日,至今已有千余年历史,中秋节的传统活动便是一家团圆赏月.吃月饼.所以人们一直都喻中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPY4lp.html" rel="bookmark" class="title">jquery validate在ie8下的bug解决方法&lowbar;jquery</a>
					<div>
						项目用到了jquery的表单校验插件validate,之前一直都只是做很简单的校验,没有做过稍微复杂的应用,近期项目对应用的要求提高了,一个页面中有两个提交按钮,然后表单校验是绑定在按钮的点击事件上的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P94kp.html" rel="bookmark" class="title">定位-360儿童卫士的工作原理</a>
					<div>
						问题描述 360儿童卫士的工作原理 请问各位大神,360儿童卫士的定位原理是怎么样的,如果想自己制作一款同样功能的定位器,怎样设计,还有就是,怎样将定位器反馈的信息在百度地图上打开 解决方案 手表上应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwle1p.html" rel="bookmark" class="title">联想12月6日举行旧电脑换购活动</a>
					<div>
						12月6日,联想集团将与百脑汇北京旗舰店联手,共同举办&quot;只要'够老',联想一体电脑一元抱回家&quot;活动.只要你有联想旧电脑,都可以来百脑汇北京旗舰店参加此次活动. 在PK环节中最老电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze61O8b.html" rel="bookmark" class="title">JavaScript取得键盘按下方向键是哪个的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JavaScript取得键盘按下方向键是哪个的方法.分享给大家供大家参考.具体如下: 这里通过创建一个event.keyCode对象,可有效获取键盘上的方向键,运行代码后,点击键盘上的任 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKwlDb.html" rel="bookmark" class="title">HA for openstack</a>
					<div>
						mysql ha instance ha   openstack博客:http://blog.csdn.net/tantexian/article/list/2 使用eclipse远程调试openst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEqVOM.html" rel="bookmark" class="title">指针-关于内存分配的问题</a>
					<div>
						问题描述 关于内存分配的问题 关于内存分配,结构体定义式多定义了一个指针的情况typedef struct node{ int a; int b;}Node *ANode;那么为变量Node P 和  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR4Q1b.html" rel="bookmark" class="title">PHP PDO&lpar;mysql&rpar; 封装类</a>
					<div>
						PHP PDO(mysql) 封装类 年初在开发站点统计,自己封装的PHP PDO类,现在又改了一点,增加了一点,目前没有加上事务处理,以后会有. 上肉,上绿色无污染的肉(自家养殖场出的): /**错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRJo9b.html" rel="bookmark" class="title">新职业：网上校园员工</a>
					<div>
						□见习记者 朱蒙雪 随着大学生创业开网店的热情越来越高,催生了一个新名词--&quot;网上校园员工&quot;. 经两个月的选拔,100名从全国十座城市.百余所高校.10万多名大学生中脱颖而出的优胜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBREmb.html" rel="bookmark" class="title">基于GlusterFS集群文件系统集成系统能称为&OpenCurlyDoubleQuote;超融合系统（HCI）&rdquo;吗？</a>
					<div>
						   Gartner认为超融合系统是提供共享的计算与存储资源的平台,它基于软件定义存储.软件定义计算.商业化的硬件和统一的管理界面.因此,超融合系统是基于通用服务器资源,计算.存储.网络和管理的高度融 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLrjLM.html" rel="bookmark" class="title">小应用程序的使用</a>
					<div>
						问题描述 小应用程序如何嵌套到其他程序中? 解决方案 小应用程序是在网页中使用的,通过html标签可以嵌入web页面.如&lt;HTML&gt;&lt;TITLE&gt;HelloWorld! App ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xddXb.html" rel="bookmark" class="title">C&num; 的控制台程序最多可使用几个定时器</a>
					<div>
						问题描述 如题 解决方案 解决方案二:没有限制吧.就用Timer就可以了解决方案三:无限.解决方案四:那要看你机器能同时忍受多少个并发的处理了解决方案五:那个东西不能太多的...解决方案六:哦,谢谢了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR3Krp.html" rel="bookmark" class="title">tortoisegit使用密钥连接服务器&lpar;转&rpar;</a>
					<div>
						目录 [hide] 1 使用putty的密钥 1.1 生成putty密钥 2 在服务器上添加openssh公钥 3 在tortoisegit上使用密钥 4 putty密钥与openssh密钥转化 5  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xGgdb.html" rel="bookmark" class="title">hp quality center 10身份验证时弹出对话框</a>
					<div>
						问题描述 hp quality center 10身份验证时弹出对话框 hp quality center 10身份验证时弹出对话框,&quot;您的quality center 会话已断开连接,请与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeJ7JM.html" rel="bookmark" class="title">判定正则表达式为什么出错了呢。。。如图</a>
					<div>
						问题描述 解决方案 解决方案二:Stringregex=&quot;\p{Upper}\p{Lower}\p{Lower}\p{Lower}\d\d\d&quot;第二个p{Lower}少了个}解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlYavp.html" rel="bookmark" class="title">中国鞋业受投资者青睐抓细分行业机会警惕三大风险</a>
					<div>
						中国拥有8000亿美元的零售市场,在消费升级过程中,鞋业是为数不多能让投资者抓住购物消费增长机会的行业. 5月25日晚9点,女鞋上市公司达芙妮(00210.HK)披露,引入美国德太投资有限公司(TPG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwK0oWz.html" rel="bookmark" class="title">liuix服务器-liuix用HtmlImageGenerator生成图片乱码问题</a>
					<div>
						问题描述 liuix用HtmlImageGenerator生成图片乱码问题 代码如下 : ImageOutputStream imOut = null; byte[] b = null; try {  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N8Jxb.html" rel="bookmark" class="title">select-SQL中的内联查询一般在什么时候会使用？</a>
					<div>
						问题描述 SQL中的内联查询一般在什么时候会使用? SQL中的内联查询一般在什么时候会使用? SQL中的内联查询一般在什么时候会使用? SQL中的内联查询一般在什么时候会使用? 例如: SELECT  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW505z.html" rel="bookmark" class="title">帮忙啊- Babelua 插件不能调试断点</a>
					<div>
						问题描述 Babelua 插件不能调试断点 Warning 1000: Lua functions were not found during debugging session Debugging  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
